///////////////////////////////////////////////////////////////////////////////
// M82A1 ammo
///////////////////////////////////////////////////////////////////////////////
class M82A1AmmoInv extends P2AmmoInv;

///////////////////////////////////////////////////////////////////////////////
// Add in the instigator
///////////////////////////////////////////////////////////////////////////////
function SpawnM82A1Projectile(vector Start, vector Dir)
{
	local M82A1Projectile tsp;

	// 1407 bug below
	//AmmoAmount -= 1;
	// Fix: use function so npc's can properly have infinite ammo and drop the proper amount on death.
	UseAmmoForShot();

	tsp = M82A1Projectile(spawn(ProjectileClass,Instigator,, Start));
	tsp.SetVelocity(Dir);
	//log(self$" spawned rifle proj "$rp$" at "$rp.Location$" player loc "$Instigator.Location$" speed "$rp.Velocity$" rot "$Instigator.Rotation);
}

defaultproperties
{
     DamageAmount=50.000000
     MomentumHitMag=10000.000000
     DamageTypeInflicted=Class'BaseFX.RifleDamage'
     MaxAmmo=12
     bLeadTarget=True
     ProjectileClass=Class'TnInventory.M82A1Projectile'
     WarnTargetPct=0.200000
     RefireRate=0.990000
     PickupClass=Class'TnInventory.M82A1AmmoPickup'
     Texture=Texture'TnTex.HUD_M82A1'
}
