//=============================================================================
// PhaserLightning
//=============================================================================
class PhaserLightning extends P2Emitter;

defaultproperties
{
     Begin Object Class=BeamEmitter Name=BeamEmitter4
         BeamDistanceRange=(Min=0.000000,Max=0.500000)
         DetermineEndPointBy=PTEP_Distance
         LowFrequencyNoiseRange=(X=(Min=20.00000,Max=20.00000),Y=(Min=-5.00000,Max=-5.00000),Z=(Min=1.0000,Max=1.0000))
         LowFrequencyPoints=5
         HighFrequencyNoiseRange=(X=(Min=0.00000,Max=0.00000),Y=(Min=0.00000,Max=0.00000),Z=(Min=0.0000,Max=0.0000))
         UseColorScale=True
         ColorScale(0)=(Color=(R=255,G=200))
         ColorScale(1)=(RelativeTime=0.300000)
         ColorScale(2)=(RelativeTime=0.600000,Color=(R=255,G=255))
         ColorScale(3)=(RelativeTime=1.000000)
         CoordinateSystem=PTCS_Relative
         MaxParticles=6
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.500000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=0.500000,Max=0.500000))
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.lightning6'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=0.500000,Max=0.800000)
         StartVelocityRange=(X=(Min=10.00000,Max=10.00000),Y=(Min=-0.300000,Max=0.300000),Z=(Min=-0.30000,Max=0.30000))
         WarmupTicksPerSecond=5.000000
         RelativeWarmupTime=1.000000
         Name="BeamEmitter4"
     End Object
     Emitters(0)=BeamEmitter'TnInventory.BeamEmitter4'
     Begin Object Class=SpriteEmitter Name=SpriteEmitter42
         UseColorScale=True
         ColorScale(0)=(Color=(B=128,G=255,R=255))
         ColorScale(1)=(RelativeTime=1.000000,Color=(G=200,R=255))
         CoordinateSystem=PTCS_Relative
         MaxParticles=6
         StartLocationRange=(X=(Min=-0.100000,Max=0.100000),Y=(Min=-0.100000,Max=0.100000),Z=(Min=-0.100000,Max=0.100000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Min=1.000000,Max=3.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=1.000000,Max=1.600000))
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.blast1'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=0.400000,Max=0.700000)
         WarmupTicksPerSecond=5.000000
         RelativeWarmupTime=1.000000
         Name="SpriteEmitter42"
     End Object
     Emitters(1)=SpriteEmitter'TnInventory.SpriteEmitter42'
     AutoDestroy=True
}
